/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.screamingcoder.plebeians.bootstrap;

import java.lang.annotation.Annotation;
import javax.webbeans.InjectionPoint;
import org.jboss.webbeans.ejb.spi.EjbResolver;
import org.jboss.webbeans.resources.spi.NamingContext;

/**
 * EjbResolver which does nothing, since we plebeians are not
 * interested in EJB integration.
 * @author pete (at screamingcoder.com)
 */
public class MockEjbResolver implements EjbResolver {

    public MockEjbResolver() {
    }

    public Class<? extends Annotation> getEJBAnnotation() {
        return null;
    }

    public Class<? extends Annotation> getPersistenceContextAnnotation() {
        return null;
    }

    public Class<? extends Annotation> getResourceAnnotation() {
        return null;
    }

    public Object resolveEjb(InjectionPoint injectionPoint, NamingContext naming) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public Object resolvePersistenceContext(InjectionPoint injectionPoint, NamingContext naming) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public Object resolveResource(InjectionPoint injectionPoint, NamingContext naming) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

}
